Loading...
Searching...
No Matches
rostlab::blast::position Class Reference

A point in a source file. More...

`#include <blast-parser-location.h>`

## Public Types

typedef const std::string | filename_type
| Type for file name.
typedef int | counter_type
| Type for line and column numbers.

## Public Member Functions

| position (filename_type *f=YY_NULLPTR, counter_type l=1, counter_type c=1)
| Construct a position.
void | initialize (filename_type *fn=YY_NULLPTR, counter_type l=1, counter_type c=1)
| Initialization.
Line and Column related manipulators
void | lines (counter_type count=1)
| (line related) Advance to the COUNT next lines.
void | columns (counter_type count=1)
| (column related) Advance to the COUNT next columns.

## Public Attributes

filename_type * | filename
| File name to which this position refers.
counter_type | line
| Current line number.
counter_type | column
| Current column number.

## Detailed Description

A point in a source file.

Definition at line 61 of file blast-parser-location.h.

## Member Typedef Documentation

## counter_type

typedef int rostlab::blast::position::counter_type

Type for line and column numbers.

Definition at line 67 of file blast-parser-location.h.

## filename_type

typedef const std::string rostlab::blast::position::filename_type

Type for file name.

Definition at line 65 of file blast-parser-location.h.

## Constructor & Destructor Documentation

## position()

rostlab::blast::position::position | ( | filename_type * | f = YY_NULLPTR,
|  | counter_type | l = 1,
|  | counter_type | c = 1 )

inline explicit

Construct a position.

Definition at line 70 of file blast-parser-location.h.

## Member Function Documentation

## columns()

void rostlab::blast::position::columns | ( | counter_type | count = 1 | ) |

inline

(column related) Advance to the COUNT next columns.

Definition at line 102 of file blast-parser-location.h.

## initialize()

void rostlab::blast::position::initialize | ( | filename_type * | fn = YY_NULLPTR,
|  | counter_type | l = 1,
|  | counter_type | c = 1 )

inline

Initialization.

Definition at line 80 of file blast-parser-location.h.

## lines()

void rostlab::blast::position::lines | ( | counter_type | count = 1 | ) |

inline

(line related) Advance to the COUNT next lines.

Definition at line 92 of file blast-parser-location.h.

## Member Data Documentation

## column

counter_type rostlab::blast::position::column

Current column number.

Definition at line 113 of file blast-parser-location.h.

## filename

filename_type* rostlab::blast::position::filename

File name to which this position refers.

Definition at line 109 of file blast-parser-location.h.

## line

counter_type rostlab::blast::position::line

Current line number.

Definition at line 111 of file blast-parser-location.h.

The documentation for this class was generated from the following file:

- rostlab/blast-parser-location.h